﻿using System;
using System.Windows.Forms;

namespace INIGui.Dialogs
{
    public partial class DialogAddEditKey : Form
    {
        private string _keyName;
        private string _keyValue;

        public string KeyName
        {
            get { return _keyName; }
            set { tbKeyName.Text = value; }
        }
        public string KeyValue
        {
            get { return _keyValue; }
            set { tbKeyValue.Text = value; }
        }

        public DialogAddEditKey()
        {
            InitializeComponent();
        }

        private void DialogAddKeyLoad(object sender, EventArgs e)
        {
            ttInformation.SetToolTip(tbKeyName, "This is the name of the key.");
            ttInformation.SetToolTip(tbKeyValue, "This is the value of the key.");
        }

        private void BtnAddClick(object sender, EventArgs e)
        {
            _keyName = tbKeyName.Text;
            _keyValue = tbKeyValue.Text;
        }
    }
}
